**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/24.1/direct-data/retrieve-available-direct-data-files.md

# Retrieve Available Direct Data Files



Retrieve a list of all Direct Data files available for download.

<Endpoint path="/api/{version}/services/directdata/files" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `extract_type` | The Direct Data file type: `incremental_directdata`, `full_directdata`, or `log_directdata`. If omitted, returns all files. Learn more about [Direct Data file types](/direct-data-api/references/file-structure). |
| `start_time` | Specify a time in `YYYY-MM-DDTHH:MM:SSZ` format. For example, 7AM on January 15, 2024 would use `2024-01-15T07:00:00Z`. If omitted, defaults to the Vault’s creation date and time. All Full files have a start time of `2000-01-01T00:00:00Z`. |
| `stop_time` | Specify a time in `YYYY-MM-DDTHH:MM:SSZ` format. For example, 9AM on January 15, 2024 would use `2024-01-15T09:00:00Z`. If omitted, defaults to today’s date and current time. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v24.1/services/directdata/files

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseDetails": {
        "total": 1042
    },
    "data": [
        {
            "name": "146478-20240213-0000-F",
            "filename": "146478-20240213-0000-F.tar.gz",
            "extract_type": "full_directdata",
            "start_time": "2000-01-01T00:00Z",
            "stop_time": "2024-02-13T00:00Z",
            "record_count": 2085,
            "size": 319078,
            "fileparts": 1,
            "filepart_details": [
                {
                    "name": "146478-20240213-0000-F.001",
                    "filename": "146478-20240213-0000-F.tar.gz.001",
                    "filepart": 1,
                    "size": 319078,
                    "url": "https://myvault.veevavault.com/api/v24.1/services/directdata/files/146478-20240213-0000-F.001"
                }
            ]
        },
        {
            "name": "146478-20240214-0000-F",
            "filename": "146478-20240214-0000-F.tar.gz",
            "extract_type": "full_directdata",
            "start_time": "2000-01-01T00:00Z",
            "stop_time": "2024-02-14T00:00Z",
            "record_count": 76256,
            "size": 2634210,
            "fileparts": 1,
            "filepart_details": [
                {
                    "name": "146478-20240214-0000-F.001",
                    "filename": "146478-20240214-0000-F.tar.gz.001",
                    "filepart": 1,
                    "size": 2634210,
                    "url": "https://myvault.veevavault.com/api/v24.1/services/directdata/files/146478-20240214-0000-F.001"
                }
            ]
        },
        {
            "name": "146478-20240215-0000-F",
            "filename": "146478-20240215-0000-F.tar.gz",
            "extract_type": "full_directdata",
            "start_time": "2000-01-01T00:00Z",
            "stop_time": "2024-02-15T00:00Z",
            "record_count": 76500,
            "size": 2640221,
            "fileparts": 1,
            "filepart_details": [
                {
                    "name": "146478-20240215-0000-F.001",
                    "filename": "146478-20240215-0000-F.tar.gz.001",
                    "filepart": 1,
                    "size": 2640221,
                    "url": "https://myvault.veevavault.com/api/v24.1/services/directdata/files/146478-20240215-0000-F.001"
                }
            ]
        }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault lists all Direct Data files available for download. The response includes the following metadata:



---

**Previous:** [Direct Data](/quality/vault-api/api-reference/24.1/direct-data)  
**Next:** [Download Direct Data File](/quality/vault-api/api-reference/24.1/direct-data/download-direct-data-file)